package ibase.webitm.ejb.fin;

import java.util.*;

class ReceiptDetail
{
    private String invoiceId = "";
    private String lineNo = "";
    private String currCode = "";
    private String acctCode = "";
    private String cctrCode = "";
    private String custCode = "";
    private String billDisc = "";
    private String refSer = "";
    
    private java.sql.Timestamp dueDate = null;
    private java.sql.Timestamp refDate = null;
    
	double exchRateRcv = 0;            
	double taxAmt = 0;
	double totAmt = 0;
	double adjAmt = 0;
	double discount = 0;
	double badDebtAmt = 0;
	double amtDiffExchRate = 0;
	double exchRate = 0;
	double rcpAmt = 0;
  	   
   
   public void setRefSer(String refSer)
	{
		this.refSer = refSer;
	}
	public String getRefSer()
	{
		return this.refSer;
	}
	public void setInvoiceId(String invoiceId)
	{
		this.invoiceId = invoiceId;
	}
	public String getInvoiceId()
	{
		return this.invoiceId;
	}
	public void setLineNo(String lineNo)
	{
		this.lineNo = lineNo;
	}
	public String getLineNo()
	{
		return this.lineNo;
	}
	public void setRefDate(java.sql.Timestamp refDate)
	{
		this.refDate = refDate;
	}
	public java.sql.Timestamp getRefDate()
	{
		return this.refDate;
	}
	public void setCurrCode(String currCode) 
	{
		this.currCode = currCode;
	}
	public String getCurrCode()
	{
		return this.currCode;
	}
	public void setExchRateRcv(double exchRateRcv)
	{
		this.exchRateRcv = exchRateRcv;
	}
	public double getExchRateRcv()
	{
		return this.exchRateRcv;
	}
	public void setAcctCode(String acctCode) 
	{
		this.acctCode = acctCode;
	}
	public String getAcctCode()
	{
		return this.acctCode;
	}
	public void setCctrCode(String cctrCode)
	{
		this.cctrCode = cctrCode;
	}
	public String getCctrCode()
	{
		return this.cctrCode;
	}
	public void setDueDate(java.sql.Timestamp dueDate)
	{
		this.dueDate = dueDate;
	}
	public java.sql.Timestamp getDueDate()
	{
		return this.dueDate;
	}
	public void setCustCode(String custCode)
	{
		this.custCode = custCode;
	}
	public String getCustCode()
	{
		return this.custCode;
	}
	public void setDiscount(double discount)
	{
		this.discount = discount;
	}
	public double getDiscount()
	{
		return this.discount;
	}	
	public void setTaxAmt(double taxAmt) 
	{
		this.taxAmt = taxAmt;
	}
	public double getTaxAmt()
	{
		return this.taxAmt;
	}
	public void setTotAmt(double totAmt)
	{
		this.totAmt = totAmt;
	}
	public double getTotAmt()
	{
		return this.totAmt;
	}
	public void setAdjAmt(double adjAmt)
	{
		this.adjAmt = adjAmt;
	}
	public double getAdjAmt()
	{
		return this.adjAmt;
	}
	public void setBadDebtAmt(double badDebtAmt)
	{
		this.badDebtAmt = badDebtAmt;
	}
	public double getBadDebtAmt()
	{
		return this.badDebtAmt;
	}
	public void setBillDisc(String billDisc)
	{
		this.billDisc = billDisc;
	}
	public String getBillDisc()
	{
		return this.billDisc;
	}
	public void setRcpAmt(double rcpAmt)
	{
		this.rcpAmt = rcpAmt;
	}
	public double getRcpAmt()
	{
		return this.rcpAmt;
	}
	public void setExchRate(double exchRate)
	{
		this.exchRate = exchRate;
	}
	public double getExchRate()
	{
		return this.exchRate;
	}
	public void setAmtDiffExchRate(double amtDiffExchRate)
	{
		this.amtDiffExchRate = amtDiffExchRate;
	}
	public double getAmtDiffExchRate()
	{
		return this.amtDiffExchRate;
	}
} 